
Katello - Bug #4726

Creating a Host Group causes error fetching Activation Keys

03/19/2014 06:43 PM - Mike McCune

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1) Login

2) Select an Org from the drop list

3) Configure -> Host Groups

Note error:

"Unable to fetch Activation Keys from Katello"

This seems to go away after you create your 1st Host Group.

Associated revisions

Revision 97105fff - 03/20/2014 01:00 AM - Brad Buckingham

fixes #4726 - update hostgroup activation keys to support katello v2 apis

When a user selects a lifecycle environment & content view,

a request is sent to the server to retrieve the activation

keys associated with the selected env+view.  This allows the user

to choose from those via the Activation Keys pane.

This commit is to fix the behavior which previously

performed multiple requests to the server to retrieve

environment, content view and then keys.  This alters

that behavior to perform a single request for the keys.

Revision 9ad721b9 - 03/20/2014 12:39 PM - Brad Buckingham

Merge pull request #3849 from bbuckingham/issue-4726

fixes #4726 - update hostgroup activation keys to support katello v2 apis

History

#1 - 03/19/2014 06:46 PM - Erik Jacobs

Clarification:

1) login

2) select org

3) configure - host groups

4) new host group

5) select environment (library)

6) select view (there's only one -- see 4725)

"Unable to fetch Activation Keys from Katello" appears.

Also, from foreman/production.log:

Processing by HostgroupsController#environment_selected as */*

Parameters: {"utf8"=>"✓", "authenticity_token"=>"rXjmGf3Ki8zJGflqzlmVn2qhrTnYZ7BAmWknmuVUymw=", "hostgroup"=>{
"parent_id"=>"", "name"=>"motd", "environment_id"=>"1", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "doma

in_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]", "organization_ids"=>["", "1"]}, "kt_environment_

id"=>"ACME_Corporation/Library", "kt_activation_keys"=>"", "host_id"=>"1"}

ActionController::RoutingError (No route matches [GET] "/katello/api/organizations/ACME_Corporation/content_vi

ews"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `proc

ess_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `ac

cept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `ma

in_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) 

in start_threads'

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

  Rendered puppetclasses/_classes.html.erb (1.5ms)

  Rendered puppetclasses/_class_selection.html.erb (11.0ms)

Completed 200 OK in 34ms (Views: 13.5ms | ActiveRecord: 2.5ms)

Connecting to database specified by database.yml

Clean start.

shutting down Core ...

... Core terminated.

#2 - 03/19/2014 06:53 PM - Brad Buckingham

- Assignee changed from Justin Sherrill to Brad Buckingham

#3 - 03/19/2014 07:57 PM - Mike McCune

- Status changed from New to Assigned

#4 - 03/20/2014 12:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:97105fff5aeb4dbce48e06c31b500d1283c674ea.

#5 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#6 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
